Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class TexturePaint

    java.lang.Object
      |
      +--java.awt.TexturePaint

All Implemented Interfaces:
  Paint, Transparency

public class TexturePaint
extends Object
implements Paint

The `TexturePaint` class provides a way to fill a `Shape` with a texture that is specified as a `BufferedImage`. The size of the `BufferedImage` object should be small because the `BufferedImage` data is copied by the `TexturePaint` object. At construction time, the texture is anchored to the upper left corner of a `Rectangle2D` that is specified in user space. Texture is computed for locations in the device space by conceptually replicating the specified `Rectangle2D` infinitely in all directions in user space and mapping the `BufferedImage` to each replicated `Rectangle2D`.

See Also:
  `Paint`, `Graphics2D.setPaint(java.awt.Paint)`

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Constructor Summary
`TexturePaint(BufferedImage txtr, Rectangle2D anchor)` Constructs a `TexturePaint` object.

Method Summary
`PaintContext` | `createContext(ColorModel cm, Rectangle deviceBounds, Rectangle2D userBounds, AffineTransform xform, RenderingHints hints)` Creates and returns a context used to generate the color pattern.
`Rectangle2D` | `getAnchorRect()` Returns a copy of the anchor rectangle which positions and sizes the textured image.
`BufferedImage` | `getImage()` Returns the `BufferedImage` texture used to fill the shapes.
`int` | `getTransparency()` Returns the transparency mode for this `TexturePaint`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TexturePaint

    public TexturePaint(BufferedImage txtr,
                        Rectangle2D anchor)

  Constructs a `TexturePaint` object.
  Parameters:
    `txtr` - the `BufferedImage` object with the texture used for painting
    `anchor` - the `Rectangle2D` in user space used to anchor and replicate the texture

Method Detail

### getImage

    public BufferedImage getImage()

  Returns the `BufferedImage` texture used to fill the shapes.
  Returns:
    a `BufferedImage`.

### getAnchorRect

    public Rectangle2D getAnchorRect()

  Returns a copy of the anchor rectangle which positions and sizes the textured image.
  Returns:
    the `Rectangle2D` used to anchor and size this `TexturePaint`.

### createContext

    public PaintContext createContext(ColorModel cm,
                                      Rectangle deviceBounds,
                                      Rectangle2D userBounds,
                                      AffineTransform xform,
                                      RenderingHints hints)

  Creates and returns a context used to generate the color pattern.
  Specified by:
    `createContext` in interface `Paint`
  Parameters:
    `cm` - the `ColorModel` that receives the `Paint` data. This is used only as a hint.
    `deviceBounds` - the device space bounding box of the graphics primitive being rendered
    `userBounds` - the user space bounding box of the graphics primitive being rendered
    `xform` - the `AffineTransform` from user space into device space
    `hints` - a `RenderingHints` object that can be used to specify how the pattern is ultimately rendered
  Returns:
    the `PaintContext` used for generating color patterns.
  See Also:
    `PaintContext`

### getTransparency

    public int getTransparency()

  Returns the transparency mode for this `TexturePaint`.
  Specified by:
    `getTransparency` in interface `Transparency`
  Returns:
    the transparency mode for this `TexturePaint` as an integer value.
  See Also:
    `Transparency`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.